using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Stub
{
    public class Stub : IPersistanceManager
    {
        public Stub() {}
        public (List<Champion>, List<Utilisateur>) Chargdon()
        {
            List<Utilisateur> u = new List<Utilisateur>();
            List<Champion> c = new List<Champion>();
            List<Ability> a = new List<Ability>();

            Ability c1a1 = new Ability("Runic Blade", "runicblade.png", "Riven's abilities charge her blade, and her basic attacks expend charges to deal an additional damage.");
            Ability c1a2 = new Ability("Broken Wings", "brokenwings.png", "Riven lashes out in a series of strikes. This ability can be reactivated three times in a short time frame with the third hit knocking back nearby enemies.");
            Ability c1a3 = new Ability("Ki Burst", "kiburst.png", "Riven emits a Ki Burst, damaging and stunning nearby enemies.");
            Ability c1a4 = new Ability("Valor", "valor.png", "Riven steps forward a short distance and blocks incoming damage.");
            Ability c1a5 = new Ability("Blade of the Exile", "bladeoftheexile.png", "Riven empowers her keepsake weapon with energy, and gains Attack Damage and Range. During this time, she also gains the ability to use Wind Slash, a powerful ranged attack, once.");
            a.Add(c1a1);
            a.Add(c1a2);
            a.Add(c1a3);
            a.Add(c1a4);
            a.Add(c1a5);
            Champion c1 = new Champion("Riven","The Exile", "riven.jpg", a);
            c.Add(c1);
            a.Clear();

            Ability c2a1 = new Ability("Rage Gene", "ragegene.png", "While in combat Gnar generates Rage. At maximum Rage his next ability will transform him into Mega Gnar, granting increased survivability and access to new spells.");
            Ability c2a2 = new Ability("Boomerang Throw / Boulder Toss", "boomerangthrow.png", "Gnar throws a boomerang that damages and slows enemies it hits before returning to him. If he catches the boomerang its cooldown is reduced.\r\n\r\nMega Gnar instead throws a boulder that stops on the first unit hit, damaging and slowing everything nearby. It can then be picked up to reduce the cooldown.");
            Ability c2a3 = new Ability("Hyper / Wallop", "hyper.png", "Gnar's attacks and spells hype him up, dealing bonus damage and granting him Movement Speed.\r\n\r\nMega Gnar is too enraged to be hyper and instead can rear up on his hind legs and smash down on the area in front of him, stunning enemies in an area.");
            Ability c2a4 = new Ability("Hop / Crunch", "hop.png", "Gnar leaps to a location and bounces off the head of any unit he lands on, traveling further.\r\n\r\nMega Gnar is too large to bounce and instead lands with earth-shattering force, dealing damage in an area around him.");
            Ability c2a5 = new Ability("GNAR!", "gnarr.png", "Mega Gnar throws everything around him in a chosen direction, dealing damage and slowing them. Any enemy that hits a wall is stunned and takes bonus damage.");
            a.Add(c2a1);
            a.Add(c2a2);
            a.Add(c2a3);
            a.Add(c2a4);
            a.Add(c2a5);
            Champion c2 = new Champion("Gnar", "The Missing Link", "gnar.jpg", a);
            c.Add(c2);
            a.Clear();

            Ability c3a1 = new Ability("Daredevil Impulse", "daredevilimpulse.png", "Samira builds a combo by hitting attacks or abilities unique from the previous hit. Samira's attacks in melee range deal additional magic damage. Samira's attacks against enemies affected by Immobilizing effects will dash her to her attack range. If the enemy is Knocked Up, she also keeps them Knocked Up briefly.");
            Ability c3a2 = new Ability("Flair", "flair.png", "Samira fires a shot or swings her sword, dealing damage. If cast during Wild Rush, strike all enemies in her path upon completion.");
            Ability c3a3 = new Ability("Blade Whirl", "bladewhirl.png", "Samira slashes around her, damaging enemies and destroying enemy missiles.");
            Ability c3a4 = new Ability("Wild Rush", "wildrush.png", "Samira dashes through an enemy (including structures), slashing enemies she passes through and gaining Attack Speed. Killing an enemy champion refreshes this ability's cooldown.");
            Ability c3a5 = new Ability("Inferno Trigger", "infernotrigger.png", "Samira unleashes a torrent of shots from her weapons, wildly shooting all enemies surrounding her.");
            a.Add(c3a1);
            a.Add(c3a2);
            a.Add(c3a3);
            a.Add(c3a4);
            a.Add(c3a5);
            Champion c3 = new Champion("Samira", "The Desert Rose", "samira.jpg", a);
            c.Add(c3);
            a.Clear();

            Ability c4a1 = new Ability("Bop 'n' Block", "bopnblock.png", "Periodically, when Yuumi attacks a champion, she restores mana and gains a shield that follows her, protecting her and the ally she's attached to.");
            Ability c4a2 = new Ability("Prowling Projectile", "prowlingprojectile.png", "Yuumi fires a missile, dealing damage to the first target hit. It deals bonus damage and slows if it takes at least 1 second to get to its target.\r\n\r\nWhile Attached, the missile can be controlled with your cursor.");
            Ability c4a3 = new Ability("You and Me!", "youandme.png", "Passively, Yuumi increases her ally's Adaptive Force and her own. Actively, Yuumi dashes to a target ally, becoming untargetable from everything except turrets.");
            Ability c4a4 = new Ability("Zoomies", "zoomies.png", "Heals Yuumi and boosts Movement Speed and Attack Speed. If she's attached, she passes it to her ally instead.");
            Ability c4a5 = new Ability("Final Chapter", "finalchapter.png", "Yuumi channels seven waves of damage, rooting anyone hit by three or more. Yuumi can move, attach, and cast Zoomies! while channeling.");
            a.Add(c4a1);
            a.Add(c4a2);
            a.Add(c4a3);
            a.Add(c4a4);
            a.Add(c4a5);
            Champion c4 = new Champion("Yuumi", "The Magical Cat", "yuumi.jpg", a);
            c.Add(c4);
            a.Clear();

            Ability c5a1 = new Ability("The Relentless Storm", "therelentlessstorm.png", "Riven's abilities charge her blade, and her basic attacks expend charges to deal an additional damage.");
            Ability c5a2 = new Ability("Thundering Smash", "thunderingsmash.png", "Riven lashes out in a series of strikes. This ability can be reactivated three times in a short time frame with the third hit knocking back nearby enemies.");
            Ability c5a3 = new Ability("Frenzied Maul", "frenziedmaul.png", "Riven emits a Ki Burst, damaging and stunning nearby enemies.");
            Ability c5a4 = new Ability("Sky Splitter", "skysplitter.png", "Riven steps forward a short distance and blocks incoming damage.");
            Ability c5a5 = new Ability("Stormbringer", "stormbringer.png", "Riven empowers her keepsake weapon with energy, and gains Attack Damage and Range. During this time, she also gains the ability to use Wind Slash, a powerful ranged attack, once.");
            a.Add(c5a1);
            a.Add(c5a2);
            a.Add(c5a3);
            a.Add(c5a4);
            a.Add(c5a5);
            Champion c5 = new Champion("Volibear", "The Relentless Storm", "volibear.jpg", a);
            c.Add(c5);
            a.Clear();


            Utilisateur s1 = new Utilisateur("Broken", "Kala");
            return (c,u);
        }

        public void Sauvdon(List<Champion> c, List<Utilisateur> u)
        {
            throw new NotImplementedException();
        }
    }
}